Deluge on Raspberry Pi - default access rights

General support for problems installing or using Deluge
fred44nl
Member
Member
Posts: 24
Joined: Mon Feb 20, 2017 10:59 am

Deluge on Raspberry Pi - default access rights

Post by fred44nl »

I am running Deluge on a Raspberry Pi 3B, without keyboard, mouse, or screen.
all settings, etc. are done over SSH and this works fine.
Deluge has an efficient Web UI, which I also use.

when I download files they get the following rights and owner:
-rwxr-x--- 2 deluge deluge
as I am normally using the default user pi, it is difficult to handle the downloaded files.
in order to solve this, I have to issue the command:
sudo chmod 777 -R *
how can I make sure the downloaded files have full rights ??
Cas
Top Bloke
Top Bloke
Posts: 3679
Joined: Mon Dec 07, 2009 6:04 am
Location: Scotland

Re: Deluge on Raspberry Pi - default access rights

Post by Cas »

Use a service and set the umask.

There are alternatives such as ACL which acts upon the directories themselves.
fred44nl
Member
Member
Posts: 24
Joined: Mon Feb 20, 2017 10:59 am

Re: Deluge on Raspberry Pi - default access rights

Post by fred44nl »

thank you, but I've no idea what you mean :)
I forgot to mention, that I've changed the UMASK in the start-up file from to 022 to 0.
did not make any difference.
Cas
Top Bloke
Top Bloke
Posts: 3679
Joined: Mon Dec 07, 2009 6:04 am
Location: Scotland

Re: Deluge on Raspberry Pi - default access rights

Post by Cas »

Can you paste your 'startup file'
fred44nl
Member
Member
Posts: 24
Joined: Mon Feb 20, 2017 10:59 am

Re: Deluge on Raspberry Pi - default access rights

Post by fred44nl »

this should be it:
(the only change is the UMASK)
#!/bin/sh
### BEGIN INIT INFO
# Provides: deluge-daemon
# Required-Start: $local_fs $remote_fs
# Required-Stop: $local_fs $remote_fs
# Should-Start: $network
# Should-Stop: $network
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: Daemonized version of deluge and webui.
# Description: Starts the deluge daemon with the user specified in
# /etc/default/deluge-daemon.
### END INIT INFO

# Author: Adolfo R. Brandes

PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
DESC="Deluge Daemon"
NAME1="deluged"
NAME2="deluge"
DAEMON1=/usr/bin/deluged
DAEMON1_ARGS="-d" # Consult `man deluged` for more options
DAEMON2=/usr/bin/deluge-web
DAEMON2_ARGS="" # Consult `man deluge-web` for more options
PIDFILE1=/var/run/$NAME1.pid
PIDFILE2=/var/run/$NAME2.pid
## UMASK=022 # Change this to 0 if running deluged as its own user
UMASK=000
PKGNAME=deluge-daemon
SCRIPTNAME=/etc/init.d/$PKGNAME

# Exit if the package is not installed
[ -x "$DAEMON1" -a -x "$DAEMON2" ] || exit 0

# Read configuration variable file if it is present
[ -r /etc/default/$PKGNAME ] && . /etc/default/$PKGNAME

# Load the VERBOSE setting and other rcS variables
[ -f /etc/default/rcS ] && . /etc/default/rcS

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
. /lib/lsb/init-functions

if [ -z "$RUN_AT_STARTUP" -o "$RUN_AT_STARTUP" != "YES" ]
then
log_warning_msg "Not starting $PKGNAME, edit /etc/default/$PKGNAME to start it."
exit 0
fi

if [ -z "$DELUGED_USER" ]
then
log_warning_msg "Not starting $PKGNAME, DELUGED_USER not set in /etc/default/$PKGNAME."
exit 0
fi

#
# Function that starts the daemon/service
#
do_start()
{
# Return
# 0 if daemon has been started
# 1 if daemon was already running
# 2 if daemon could not be started
start-stop-daemon --start --background --quiet --pidfile $PIDFILE1 --exec $DAEMON1 \
--chuid $DELUGED_USER --user $DELUGED_USER --umask $UMASK --test > /dev/null
RETVAL1="$?"
start-stop-daemon --start --background --quiet --pidfile $PIDFILE2 --exec $DAEMON2 \
--chuid $DELUGED_USER --user $DELUGED_USER --umask $UMASK --test > /dev/null
RETVAL2="$?"
[ "$RETVAL1" = "0" -a "$RETVAL2" = "0" ] || return 1

start-stop-daemon --start --background --quiet --pidfile $PIDFILE1 --make-pidfile --exec $DAEMON1 \
--chuid $DELUGED_USER --user $DELUGED_USER --umask $UMASK -- $DAEMON1_ARGS
RETVAL1="$?"
sleep 2
start-stop-daemon --start --background --quiet --pidfile $PIDFILE2 --make-pidfile --exec $DAEMON2 \
--chuid $DELUGED_USER --user $DELUGED_USER --umask $UMASK -- $DAEMON2_ARGS
RETVAL2="$?"
[ "$RETVAL1" = "0" -a "$RETVAL2" = "0" ] || return 2
}

#
# Function that stops the daemon/service
#
do_stop()
{
# Return
# 0 if daemon has been stopped
# 1 if daemon was already stopped
# 2 if daemon could not be stopped
# other if a failure occurred

start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --user $DELUGED_USER --pidfile $PIDFILE2
RETVAL2="$?"
start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --user $DELUGED_USER --pidfile $PIDFILE1
RETVAL1="$?"
[ "$RETVAL1" = "2" -o "$RETVAL2" = "2" ] && return 2

rm -f $PIDFILE1 $PIDFILE2

[ "$RETVAL1" = "0" -a "$RETVAL2" = "0" ] && return 0 || return 1
}

case "$1" in
start)
[ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME1"
do_start
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
stop)
[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME1"
do_stop
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
restart|force-reload)
log_daemon_msg "Restarting $DESC" "$NAME1"
do_stop
case "$?" in
0|1)
do_start
case "$?" in
0) log_end_msg 0 ;;
1) log_end_msg 1 ;; # Old process is still running
*) log_end_msg 1 ;; # Failed to start
esac
;;
*)
# Failed to stop
log_end_msg 1
;;
esac
;;
*)
echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
exit 3
;;
esac

:
fred44nl
Member
Member
Posts: 24
Joined: Mon Feb 20, 2017 10:59 am

Re: Deluge on Raspberry Pi - default access rights

Post by fred44nl »

in the meantime, I have done the following:
setfacl -m d:g:deluge:rwx /shares/Torrent/Complete
the result is:
pi@raspberrypi:~ $ getfacl /shares/Torrent/Complete
getfacl: Removing leading '/' from absolute path names
# file: shares/Torrent/Complete
# owner: pi
# group: pi
user::rwx
group::rwx
other::rwx
default:user::rwx
default:group::rwx
default:group:deluge:rwx
default:mask::rwx
default:other::rwx
was this a good idea ??
Cas
Top Bloke
Top Bloke
Posts: 3679
Joined: Mon Dec 07, 2009 6:04 am
Location: Scotland

Re: Deluge on Raspberry Pi - default access rights

Post by Cas »

If you can't get the service file to set umask and it works then yes :)
fred44nl
Member
Member
Posts: 24
Joined: Mon Feb 20, 2017 10:59 am

Re: Deluge on Raspberry Pi - default access rights

Post by fred44nl »

I will do some tests and let you know :)
fred44nl
Member
Member
Posts: 24
Joined: Mon Feb 20, 2017 10:59 am

Re: Deluge on Raspberry Pi - default access rights

Post by fred44nl »

OK, files get:
-rw-rw-rw-+ 1 deluge deluge
and folders get:
drwxrwxrwx+ 2 deluge deluge
which is fine by me :)
thanks
fred44nl
Member
Member
Posts: 24
Joined: Mon Feb 20, 2017 10:59 am

Re: Deluge on Raspberry Pi - default access rights

Post by fred44nl »

sorry to come back on this :oops:
how can I change the owner and group of the downloaded files from deluge:deluge to fred44nl:fred44nl ??
Post Reply